Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 614543 - numlockx don't work with F14 rawhide
numlockx don't work with F14 rawhide
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 13:58 EDT by dominique
Modified: 2018-04-26 07:07 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-24 07:36:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 16145 None None None Never

  None (edit)
Description dominique 2010-07-14 13:58:36 EDT
Description of problem:
I install numlockx on my Fedora (5,6,7,8,9,10,11,12 and 13)for enable my numeric keypad on my laptop, and that work.

But with F14 rawhide that don't work...

And I see that numlockx package is older, for F12.

I use kde and kdm, I don't know if it is important for the problem.

How reproducible: 
always

Steps to Reproduce:
1.Install numlockx
2.Reboot
 
Actual results:
My numeric keypad is not enable

Expected results:
numeric keypad enable when X start
Comment 1 dominique 2010-07-15 11:46:40 EDT
Just a comment, because I forget that:

With F14 rawhide numlockx work fine two or three days ago, but there is a lot of updates , and after this updates numlockx don't work.
When I do in console:
numlockx on

There is no effect and no error message...
Comment 2 Bug Zapper 2010-07-30 08:35:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 dominique 2010-08-15 13:36:28 EDT
I installed fedora-14-alpha-rc3, install package numlockx-1.0-16.fc12.x86_64 and the problem still persist.

numlockx on or numlockx off don't work.
Comment 4 dominique 2010-08-22 02:09:38 EDT
Hi..
For test I rebuild the fc12 package to fc14, with this command:
rpmbuild -ba rpmbuild/SPECS/numlockx.spec

I have a numlockx-1.0-16.fc14.x86_64.rpm package, I install it, and numlockx on or off work, but the led of my keypad don't work.

And when I active my keypad by the numlock button, led work, but if I am in numlockx on option, keypad is not enable, and vice versa...
Comment 5 rvcsaba 2010-09-29 05:11:43 EDT
Really, numlockx on and numlockx off commands don't work in Laughlin.
Comment 6 dominique 2010-09-29 06:39:29 EDT
(In reply to comment #5)
> Really, numlockx on and numlockx off commands don't work in Laughlin.

Why dev don't rebuild numlockx for F14 (see my comment 4)?
Comment 7 rvcsaba 2010-09-29 07:01:26 EDT
Because "but the led of my keypad don't work".
Comment 8 rvcsaba 2010-10-16 06:02:08 EDT
I built numlockx-1.2 from http://ktown.kde.org/~seli/numlockx/ and installed it to Fedora 14. Numlockx-1.2 work, but not change a LED status.
Comment 9 dominique 2010-10-20 01:51:56 EDT
F14 is for the 02 November, and this bug is not closed...
Nobody know how solve this problem?
Comment 10 Peter Hutterer 2010-10-21 01:39:47 EDT
this turned out to be a quite huge problem and we don't know a good solution yet. there are several options on how to fix this but all cause regressions in other behaviours. I doubt this will be fixed before the F14 release, we don't have a solution for upstream yet.
Comment 11 Fedora Update System 2010-10-22 05:35:13 EDT
numlockx-1.0-18.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/numlockx-1.0-18.fc14
Comment 12 rvcsaba 2010-10-22 06:59:00 EDT
Don't work numlockx-1.0-18.fc14. :(

No change LED status, and no change keypad status.
Comment 13 dominique 2010-10-22 12:37:42 EDT
I install numlockx-1.0-18.fc14 and that don't work...
In console I do numlockx on or numlockx off, and my keypad is not enable or disable, without error message (like my comment 3)...
Comment 14 Yorvyk 2010-10-23 12:01:22 EDT
Tried numlockx-1.0-18.fc14 with both USB and PS2 keyboard and I get the same as #12 & 13
Comment 15 dominique 2010-10-23 15:23:48 EDT
For test I re-build numlockx-1.0-18.fc14 to numlockx-1.0-18.fc13 and install.
That work for f13, but led is on when keypad is off and vice versa...
Comment 16 rvcsaba 2010-10-24 20:29:40 EDT
            unsigned int mask;
            XkbVirtualModsToReal( xkb, 1 << i, &mask );
            return mask;

Always return to mask == 0? (I used gdb.)
Comment 17 Fedora Update System 2010-10-28 02:08:43 EDT
numlockx-1.0-18.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update numlockx'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/numlockx-1.0-18.fc14
Comment 18 Peter Hutterer 2010-10-28 20:10:55 EDT
Do you see this issue on normal keyboards or on a laptop?
on my T61, I can't switch the leds on for the laptop keyboard, but the external one works fine.

Checking the event flow, what the driver does is correct (i.e. set the led for all devices) but the one on the laptop doesn't light up. Likewise, hitting numlock on the laptop only sends an event when _setting_ numlock, not when unsetting it. This part seems to be handled in hardware.
Comment 19 dominique 2010-10-29 02:17:32 EDT
I install numlockx-1.0-18.fc14 from updates-testing repo, and that don't work...
Same result as comment 12 and 13.

In reply comment 18, I have a laptop, Toshiba X200.
Comment 20 J.C. Hortala 2010-10-29 02:23:43 EDT
numlockx-1.0-18.fc14 from updates-testing repo doesn't work on my desktop pc either. (led off and no num lock when running "numlockx on").
Comment 21 Yorvyk 2010-10-31 08:24:56 EDT
(In reply to comment #20)
> numlockx-1.0-18.fc14 from updates-testing repo doesn't work on my desktop pc
> either. (led off and no num lock when running "numlockx on").

Same here, both USB and PS2 keyboards.
Comment 22 Didier G 2010-10-31 10:40:52 EDT
Same problem here with PS2 keyboard and numlockx-1.0-18.fc14.x86_64 from koji.

numlockx has no effect.
Comment 23 Benjamin Bellec 2010-11-07 07:06:11 EST
Same problem on F14 final x86_64.
Comment 24 Paul Smith 2010-11-08 16:50:06 EST
numlockx-1.0-18.fc14.x86_64 has no effect here.

Paul
Comment 25 Joseph D. Wagner 2010-11-12 20:52:09 EST
numlockx-1.0-18.fc14.x86_64 has no effect for me.  Could we be missing a pre-req?  The readme says it relies on XKB.
Comment 26 Joseph D. Wagner 2010-11-12 21:16:14 EST
It looks like upstream is on version 1.2.  Maybe updating the code base will fix it?

http://ktown.kde.org/~seli/numlockx/
Comment 27 rvcsaba 2010-11-13 06:59:29 EST
(In reply to comment #26)
> It looks like upstream is on version 1.2.  Maybe updating the code base will
> fix it?
> 
> http://ktown.kde.org/~seli/numlockx/

No. Please see comment #8.
Comment 28 Benjamin Bellec 2010-11-13 07:02:58 EST
I saw that numlockx 1.2 have a new option "toogle". Perhaps somedoby can try if this works.
Comment 29 rvcsaba 2010-11-13 07:24:51 EST
toggle() {
  if (status() == "on") switch("off") else switch("on");
};

;)
Comment 30 Benjamin Bellec 2010-11-15 16:18:58 EST
Since I have enabled the auto-login (/etc/gdm/custom.conf), the numeric keypad is now enabled at starup (since it's set "on" in BIOS).
Comment 31 Adam Pribyl 2010-11-21 12:23:14 EST
Is it possible, that the same problem is hitting F13 now too? As I seem to have problems with numlock also on F13..
Comment 32 bugs0 2010-12-11 14:31:02 EST
I can confirm that the errant behavior presents in F14 Security Spin running numlockx 1-0-16.fc12 (i686), which is the version defined currently as most recent stable.

There are 2 keyboards attached to the machine which is an HP Mini 110 netbook. One is the embedded keyboard, another is attached via USB.
Comment 33 Joseph D. Wagner 2010-12-28 02:42:58 EST
I haven't seen any movement on this issue since #17 (2010-10-28), which didn't fix the problem.  It really is annoying to manually push numlock every time I boot up my pc.  As an alternative to fixing numlockx, is there any setting I can change -- perhaps something in a configuration file -- that can turn numlock on automatically?

Also, Peter Hutterer in #10 (2010-10-21) said that there are a few ways to fix it, but those ways caused regression errors.  If someone were to describe those fixes and the regression errors they caused, perhaps it would help.

Lastly, this bug is marked with the keyword "Triaged" which policy says should only be applied if there is a roadmap to fix it.  I suspect that this is out-of-date (because the fix in #17 failed QA) and should be removed.  If it is still valid, could you please post the roadmap?

Thanks.
Comment 34 Peter Hutterer 2011-01-03 20:56:14 EST
(In reply to comment #33)
> Also, Peter Hutterer in #10 (2010-10-21) said that there are a few ways to fix
> it, but those ways caused regression errors.  If someone were to describe those
> fixes and the regression errors they caused, perhaps it would help.

https://bugs.freedesktop.org//show_bug.cgi?id=16145#c22
Comment 35 rvcsaba 2011-01-04 06:58:15 EST
(In reply to comment #18)
> Do you see this issue on normal keyboards or on a laptop?

I have a MSI K9A2 CF-F (BIOS: 7388v1D) http://eu.msi.com/index.php?func=prodmbspec&maincat_no=1&cat2_no=&cat3_no=&prod_no=1333 and Logitech PS2 keyboard. My Fedora 14 is up to date, and numlockx don't work. :(

rpm -q numlockx
numlockx-1.0-18.fc14.x86_64
Comment 36 info@kobaltwit.be 2011-01-16 08:11:29 EST
I have tested numlockx-1.0-18.fc14 on a standard desktop (with external keyboard) and on a laptop with external keyboard attached.

It doesn't work on either.

As long as we don't have a working numlockx, are there other ways to enable the numlock key for gdm ?
Comment 37 Jaroslav Škarvada 2011-02-02 06:30:13 EST
It still does not work.

According to diff the only difference between the 1.0 and 1.2 version of numlockx is addition of the "toggle" feature.

The numlockx at first tries the xkb extension and in case of failure it falls back to the xtest extension.

But it seems that the xkb handling is broken by the 0001-XI2-support.patch (I will look deeper on it later). Rebuilding without it seems to solve the issue for me, scratch build for testing:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2756682

However some notebooks seems to have hard-wired the numlock handling in firmware, thus it need not work in some specific cases.
Comment 38 rvcsaba 2011-02-02 11:01:37 EST
(In reply to comment #37)

Thank you! It works, but does not alter the status LED.
Comment 39 Jaroslav Škarvada 2011-02-02 11:42:24 EST
(In reply to comment #38)
> Thank you! It works, but does not alter the status LED.

Is it laptop or external keyboard? Laptop's internal keyboards have issues and sometimes it is impossible to get it correctly working. Did it work before? Does it work through xtest? e.g.:

$ xte 'key Num_Lock'
Comment 40 Joseph D. Wagner 2011-02-09 23:13:28 EST
I would like to propose a workaround.  When my computer boots up, the BIOS turns numlock on.  It's X that resets the keyboard and turns numlock off.  Could we just have X not reset the keyboard and leave numlock on if it's already on?
Comment 41 Benjamin Bellec 2011-02-10 03:27:28 EST
@Joseph D. Wagner
I don't think it's X which turn off the numlock. See my comment #30.
Comment 42 Michal Žejdl 2011-02-18 07:40:20 EST
I want to confirm the comment #38. Tested on four hosts with external keyboards - numlock is on, but LED is off (which is worse than to set numlock manually).

xte 'key Num_Lock' does the same - turns numlock on and off, but with LED unaffected

xset led named 'Num Lock' do not work either, although xset led named 'Scroll Lock' works well

So rpm -e numlockx is the best what I can do for my IceWM desktops.
Comment 43 rvcsaba 2011-02-18 19:14:38 EST
MSI K9A2 CF-F, external PS2 Logitech keyboard.
http://eu.msi.com/index.php?func=proddesc&maincat_no=1&prod_no=1333

xte 'key Num_Lock'

command work, but don't change LED status. Same, then numlockx.

(Sorry, my english is very bad. :( )

(In reply to comment #39)
> Is it laptop or external keyboard? Laptop's internal keyboards have issues and
> sometimes it is impossible to get it correctly working. Did it work before?
> Does it work through xtest? e.g.:
> 
> $ xte 'key Num_Lock'
Comment 44 dedanna 2011-03-12 17:08:32 EST
(In reply to comment #8)
> I built numlockx-1.2 from http://ktown.kde.org/~seli/numlockx/ and installed it
> to Fedora 14. Numlockx-1.2 work, but not change a LED status.

To the maintainer of this bug: This reporter was NOT asking for a LED=off status. They were trying to let you know that the LED light was remaining off.

I found how you took it here: http://forums.fedoraforum.org/showpost.php?p=1410894&postcount=5 - that's not the way it was meant.
Comment 45 dedanna 2011-03-12 17:09:23 EST
I am also struggling with this in every known version of numlockx that's been released. I'm on a 32-bit machine.
Comment 46 rvcsaba 2011-04-06 05:57:40 EDT
This problem is solved in Fedora 15, thanks! Numlock status and keyboard LED status is changed correctly.

rpm -qa libX11\* numlockx\* | sort
libX11-1.4.3-1.fc15.i686
libX11-1.4.3-1.fc15.x86_64
libX11-common-1.4.3-1.fc15.noarch
libX11-devel-1.4.3-1.fc15.x86_64
numlockx-1.2-1.fc15.x86_64
Comment 47 Benjamin Bellec 2011-04-10 17:08:20 EDT
Yes I confirm, it works within F15.
Comment 48 Matěj Cepl 2011-04-11 12:20:50 EDT
(In reply to comment #47)
> Yes I confirm, it works within F15.

Reporter, do you agree with this assesment? Or do you still require fix in F14?

Thank you for your patience
Comment 49 dominique 2011-04-11 13:17:31 EDT
I'm happy that bug is solved.
Now I use kde 4.6 (F14 and F15) and I don't kneed numlockx for enabling my keypad. It's a configuration option in KDE.

But I tested the last numlockx in F15 and I confirm that work.

I don't test for F14, but I think this bug can be closed.
Comment 50 Pierre-YvesChibon 2011-04-11 13:23:47 EDT
Too be honest, I would not mind a fix in F14 as F14 will not be EOL for more than 6 month and it is an annoying bug.

Thanks
Comment 51 Paul Smith 2011-04-11 14:49:08 EDT
I second Pierre's words.

Thanks, Paul
Comment 52 info@kobaltwit.be 2011-04-23 05:04:39 EDT
Same here, several of my (and my customer's) machines are still on F14 and will be for a while. Are there technical obstacles that prevent this fix from being backported to F14 ?
Comment 53 Grzegorz Witkowski 2011-05-14 19:34:00 EDT
It looks to me that after a fresh install of F14 on Acer Apire 5742, keypad worked fine with no numlockx. I installed also Keyboard Lock Keys to see the status of a NumLock key as this laptop has no LEDs. 
Tonight I noticed that numeric keypad does not work :(((
Pressing NumLock changes status of the applet, but keypad still does not work. What is weird in gdm login it works, in BIOS it works, in GRUB menu it works, in Windows 7 it works.
Is there any way to fix this??? It is a shame that in modern OS numeric keypad simply does not work :-O

Regards,
Ges
Comment 54 paul59584 2011-05-14 23:38:33 EDT
Grzegorz, on my f14 installation my keypad started working fine at some point with no numlockx installed. Then it stopped working but i found that unsetting system > keyboard > mouse keys > pointer can be controlled using the keypad, got it working again. maybe this will work for you?
Comment 55 Grzegorz Witkowski 2011-05-15 13:06:19 EDT
Hi p.johns, 

That is the solution for this issue.
Thanks so much. 
Fixed.

Regards,
Ges
Comment 56 dedanna 2011-05-15 13:58:26 EDT
So, the fix will/won't be backported to F14? I'm on it, and am not moving for a while. Desktop 32-bit machine, not a laptop. Thanks.
Comment 57 Peter Hutterer 2011-05-15 20:33:43 EDT
probably won't be backported because tbh I have no idea what actually fixed it. seems to have been an accidental fix upstream.
Comment 58 info@kobaltwit.be 2011-12-24 04:37:32 EST
numlockx works fine on F15 and F16 for me. F14 is EOL now, so I assume no fix will be released anymore for that version.

Shouldn't this bug be closed then ?
Comment 59 Adel Gadllah 2011-12-24 07:36:07 EST
(In reply to comment #58)
> numlockx works fine on F15 and F16 for me. F14 is EOL now, so I assume no fix
> will be released anymore for that version.
> 
> Shouldn't this bug be closed then ?

Done.

Note You need to log in before you can comment on or make changes to this bug.